Debian Bug report logs - #681834
Dependency from network-manager to gnome

version graph

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Noel David Torres Taño <envite@rolamasao.org>

Date: Mon, 16 Jul 2012 22:45:01 UTC

Severity: normal

Found in version gnome-control-center/1:3.8.0-2

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Mon, 16 Jul 2012 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noel David Torres Taño <envite@rolamasao.org>:
New Bug report received and forwarded. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 22:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Noel David Torres Taño <envite@rolamasao.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tech-ctte: Use of Recommends instead of Depends for metapackages
Date: Mon, 16 Jul 2012 23:32:15 +0100
Package: tech-ctte
Severity: minor

Dear committe

First of all, I'm not a Debian Developer, but just a long time user, and recent Maintainer. I'm writing this since I found no request on Constitution requiring being a DD for submitting an issue to the Committe.

As suggested by Ian Jackson on [1], the discussion at hand become circular and repetitive, and this is why I'm submitting this to the committe. I'm not requesting a ruling, but just a clarification. Anyway, a ruling can be made about the issue, or even some developers could be overruled.

Whole thing started at [2] in an ITP for a new Window Manager. Thread developed into a more general discussion about packages in the archive that duplicates other packages functionality [3], sometimes focusing in the amount of window managers present in Debian. At a certain moment [4] network-manager entered the discussion as an example of a point where Debian should start removing window managers instead of vetting new ones. A separated thread raised at [5] to discuss the duplicates issue, but network-manager issue continued at [6] and a bit later [7].

Then network-manager centered the discussion at [8] where it was stated that it breaks working software like udev or ifupdown, and it was suggested that the relationship between the gnome package and the network-manager package should not be a Depends chain, but have a Recommends.

FYI actual chain is:

gnome                   Depends    gnome-core
gnome-core              Depends    network-manager-gnome
network-manager-gnome   Depends    network-manager

and Adam Borowski suggested a Recommends instead of a Depends, most probably in the gnome-core -> network-manager-gnome step.

Two sides formed. One side critizising network-manager and pressing for a Recommends relationship. Other side defending network-manager and defending a Depends relationship. Main argument of the defender side was that gnome is not a normal package but a metapackage, and thus it should include a set of software using mainly Depends even if there is actually not a real software dependency.

>From this, discussion changed names again [9] and get called "Recommends for metapackages", being a two-fold discussion. On one hand, it was a discussion for and against metapackages using Recommends as a genera topic. On the other hand, at the same time it was a discussion about if network-manager should be or not a Recommends instead of a Depends. Arguments were given both to the general question and to the particular one.

I've tried to be as neutral as possible in the explanation above. My particular point of view on the general is that metapackages are not so special as to avoid the Policy, which states that Recommends should be used for packages that are to be found in all but unusual installations, and metapackages sometimes are used by user with special needs who need to avoid or deinstall certain not required pieces of the platform. My particular point of view about the particular is that since network-manager causes issues to a not negligible fraction of our users, some of which can want to use gnome, the relationship between these two packages should be a Recommends, since the lack of network-manager causes no breakage at all on a gnome system. A complete resume of my arguments (and I hope those of others are included) is on [10]. I can not present a resume on the arguments from the other side since none was provided.

I do not want to get the Depends side undefended, I hope you can involve in the discussion some of their representattives.

I request from the committe a position about the general issue of Recommends on metapackages (but I wish a ruling about network-manager in particular).

Regards

Noel Torres
er Envite


[1] https://lists.debian.org/debian-devel/2012/07/msg00388.html
[2] https://lists.debian.org/debian-devel/2012/06/msg00821.html
[3] https://lists.debian.org/debian-devel/2012/06/msg00838.html
[4] https://lists.debian.org/debian-devel/2012/06/msg00860.html
[5] https://lists.debian.org/debian-devel/2012/06/msg01057.html
[6] https://lists.debian.org/debian-devel/2012/06/msg00884.html
[7] https://lists.debian.org/debian-devel/2012/07/msg00154.html
[8] https://lists.debian.org/debian-devel/2012/07/msg00155.html
[9] https://lists.debian.org/debian-devel/2012/07/msg00211.html
[10] https://lists.debian.org/debian-devel/2012/07/msg00403.html



Severity set to 'normal' from 'minor' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 02:21:03 GMT) Full text and rfc822 format available.

Merged 681783 681834 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 17 Jul 2012 02:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #14 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 13:56:45 +0100
block 645656 by 681834
thanks

The argument about the dependency from gnome-core to network-manager
has now reached the TC.  This has been extensive discussed, most
recently on debian-devel.  The most recent response from Josselin is
here:
  http://lists.debian.org/debian-devel/2012/07/msg00210.html

It seems to me that:

 * n-m breaks the networking of enough people that this is a
   significant problem which should be fixed.

 * There is not currently another metapackage besides gnome-core that
   would pull in enough of the gnome system.

 * There is no good reason not to use Recommends (or indeed Suggests)
   in a metapackage.

 * In particular, tests have shown that the remainder of gnome
   functions as expected when network-manager is not installed; the
   situation appears to be the similar to that which occurs if n-m is
   installed but the system's active network connection is not one
   made by n-m.

 * Also, that there are people who choose not to install Recommends at
   all is not a reason not to make this change.

 * The present situation in wheezy appears to be a regression from
   squeeze.

So I would propose that we:

 * Clarify our view that the normal rules for deciding dependency
   priorities apply to meta packages too;

 * Require no change to policy;

 * Overrule the maintainer of gnome-core, requiring that the
   dependency on network-manager be changed to Recommends;

 * Advise the release managers that we would prefer this change to be
   made in wheezy, provided it is uploaded promptly.

Ian.



Added indication that bug 681834 blocks 645656 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Tue, 17 Jul 2012 14:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 14:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 14:21:09 GMT) Full text and rfc822 format available.

Message #21 received at 681834@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 16:05:30 +0200
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

>  * There is no good reason not to use Recommends (or indeed Suggests)
>    in a metapackage.

I'd like to respectfully disagree here - though I've tried to express
this on debian-devel@ too, apparently, with little success.

As a user, my expectation is that if I install a *meta* package, then
the whole platform will be installed, and will be kept installed. That's
the main reason I install meta packages.

With recommends, it's not particularly hard to end up in a situation
where parts of the platform get forced off, and they're not going to
come back unless explicitly asked. "What's this gstreamer thing? Never
heard of it, lets remove it. Oh, look, there goes totem. WTF was that
thing again? Probably not important, otherwise it wouldn't get removed,
would it?" - exaggeration of course, but this is not very different from
the situation where removing n-m wants to remove gnome and all the rest
too. Except that currently, it's easier to notice that something bad is
about to happen, and ask first. With recomends, bad things can happen
with far less scarier warnings.

I believe that's a very bad situation, and while possibly avoidable in
stable, and even in oldstable->newstable dist-upgrade paths (at least
the case where a part of the recommended set would be forced off for one
reason or the other) unstable users (and testing users, until testing
migration will consider recommends) will likely experience hiccups
during a transition for example.

Granted, testing/unstable users should be prepared to deal with issues,
but if we can avoid pissing them off, we should.

>  * The present situation in wheezy appears to be a regression from
>    squeeze.

Depends on who you ask. Many will consider gnome3 to be a regression
too.

> So I would propose that we:
>
>  * Clarify our view that the normal rules for deciding dependency
>    priorities apply to meta packages too;
>
>  * Require no change to policy;
>
>  * Overrule the maintainer of gnome-core, requiring that the
>    dependency on network-manager be changed to Recommends;
>
>  * Advise the release managers that we would prefer this change to be
>    made in wheezy, provided it is uploaded promptly.

How about a solution suggested earlier on debian-devel@? At least one of
the Gnome maintainers showed interest in something like this:

  * Introduce a gnome-minimal (or any other, more suitable name, really)
    meta package, that depends on a subset of what gnome-core depends
    now (and which would not include n-m). And gnome-core would depend
    on this + additional stuff.

With this, the major complaint (n-m) is solved, policy does not have to
change, nor do we need to overrule any maintainers.

To me, this sounds like a much better idea, with less impact overall,
yet, still addressing the biggest issue.

Obviously, I'm biased and all that, but this was needed to be told. To
avoid turning this bug report into the same thing that became of the
thread on -devel, this is my first and last message here.

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 15:27:06 GMT) Full text and rfc822 format available.

Message #26 received at 681834@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 681834@bugs.debian.org, 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 09:16:53 -0600
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> The argument about the dependency from gnome-core to network-manager
> has now reached the TC. 

FWIW, I use network-manager with xfce4 on my notebook, and with suitable
configuration find it an acceptable solution for my needs.

As a matter of policy, though, it seems completely unreasonable to me
for a desktop environment to impose a hard decision on something like
network attachment and configuration where there are multiple workable
alternatives in Debian that users might reasonably expect to be able to
exercise personal preference on.

> So I would propose that we:
>
>  * Clarify our view that the normal rules for deciding dependency
>    priorities apply to meta packages too;

Agreed.

>  * Require no change to policy;

Agreed.

>  * Overrule the maintainer of gnome-core, requiring that the
>    dependency on network-manager be changed to Recommends;

That would work.  

I believe our goal should be to require that there not be a hard Depends
relationship.  I would be equally satisfied if the dependency were just
dropped, or if it were possible to craft a suitable "or" list of
alternatives that network-manager could be the first choice of the
maintainer among.  I have not followed the discussion closely enough or
independently studied this situation in sufficient detail to know if
this is possible, however.

>  * Advise the release managers that we would prefer this change to be
>    made in wheezy, provided it is uploaded promptly.

Agreed.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 15:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 15:42:06 GMT) Full text and rfc822 format available.

Message #31 received at 681834@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Gergely Nagy <algernon@balabit.hu>, 681834@bugs.debian.org, Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 09:39:47 -0600
[Message part 1 (text/plain, inline)]
Gergely Nagy <algernon@balabit.hu> writes:

> Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
>
>>  * There is no good reason not to use Recommends (or indeed Suggests)
>>    in a metapackage.
>
> I'd like to respectfully disagree here - though I've tried to express
> this on debian-devel@ too, apparently, with little success.
>
> As a user, my expectation is that if I install a *meta* package, then
> the whole platform will be installed, and will be kept installed. That's
> the main reason I install meta packages.

I comprehend you, but to me the difficulty is in defining what "the
whole platform" means and thus where the boundary should lie.  In the
current case, if someone says "I want Gnome", do they really expect that
to include network-manager to the exclusion of all other options, or
might they reasonably expect to be able to use wicd, or something else,
as an alternative? 

> How about a solution suggested earlier on debian-devel@? At least one of
> the Gnome maintainers showed interest in something like this:
>
>   * Introduce a gnome-minimal (or any other, more suitable name, really)
>     meta package, that depends on a subset of what gnome-core depends
>     now (and which would not include n-m). And gnome-core would depend
>     on this + additional stuff.
>
> With this, the major complaint (n-m) is solved, policy does not have to
> change, nor do we need to overrule any maintainers.

As a resolution to the specific issue at hand, I think I'd find this
acceptable.  However, it feels like a more disruptive change than just
flipping the Depends in question to Recommends, so I'm not immediately
convinced it's a *better* choice. 

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 16:54:04 GMT) Full text and rfc822 format available.

Message #36 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Bdale Garbee <bdale@gag.com>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 17:50:17 +0100
Bdale Garbee writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
> >  * Overrule the maintainer of gnome-core, requiring that the
> >    dependency on network-manager be changed to Recommends;
> 
> That would work.  
> 
> I believe our goal should be to require that there not be a hard Depends
> relationship.  I would be equally satisfied if the dependency were just
> dropped, or if it were possible to craft a suitable "or" list of
> alternatives that network-manager could be the first choice of the
> maintainer among.  I have not followed the discussion closely enough or
> independently studied this situation in sufficient detail to know if
> this is possible, however.

That's a fine way to put the requirement.  But given that we can't
mandate that the maintainer makes the upload we should give explicit
blessing to weakening the dependency rather than doing something else,
so that someone who NMUs knows what they're doing.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 17:00:06 GMT) Full text and rfc822 format available.

Message #41 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Bdale Garbee <bdale@gag.com>, 681834@bugs.debian.org
Cc: Gergely Nagy <algernon@balabit.hu>
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 17:56:56 +0100
Bdale Garbee writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Gergely Nagy <algernon@balabit.hu> writes:
> > As a user, my expectation is that if I install a *meta* package, then
> > the whole platform will be installed, and will be kept installed. That's
> > the main reason I install meta packages.
> 
> I comprehend you, but to me the difficulty is in defining what "the
> whole platform" means and thus where the boundary should lie.  In the
> current case, if someone says "I want Gnome", do they really expect that
> to include network-manager to the exclusion of all other options, or
> might they reasonably expect to be able to use wicd, or something else,
> as an alternative? 

Quite.

It has also been suggested that gnome-session would be a better
package to install, but of course that excludes all of the gnome
applications - which is probably what the user wanted in this case.

> > How about a solution suggested earlier on debian-devel@? At least one of
> > the Gnome maintainers showed interest in something like this:
> >
> >   * Introduce a gnome-minimal (or any other, more suitable name, really)
> >     meta package, that depends on a subset of what gnome-core depends
> >     now (and which would not include n-m). And gnome-core would depend
> >     on this + additional stuff.
> >
> > With this, the major complaint (n-m) is solved, policy does not have to
> > change, nor do we need to overrule any maintainers.

Policy does not need to change in any case.  There is nothing
forbidding the use of Recommends, or indeed any mixture of dependency
strengths, in metapackages.

> As a resolution to the specific issue at hand, I think I'd find this
> acceptable.  However, it feels like a more disruptive change than just
> flipping the Depends in question to Recommends, so I'm not immediately
> convinced it's a *better* choice. 

In particular, users who already have gnome-core installed, and have
previously overridden the installation of network-manager, will find
that the upgrade brings in network-manager.

I think preserving the choice of users who have done this is
important, and whatever is done should achieve that goal.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 17:18:05 GMT) Full text and rfc822 format available.

Message #46 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Bdale Garbee <bdale@gag.com>, 681834@bugs.debian.org
Cc: gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 18:15:34 +0100
Bdale Garbee writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> I believe our goal should be to require that there not be a hard Depends
> relationship.  I would be equally satisfied if the dependency were just
> dropped, or if it were possible to craft a suitable "or" list of
> alternatives that network-manager could be the first choice of the
> maintainer among.  I have not followed the discussion closely enough or
> independently studied this situation in sufficient detail to know if
> this is possible, however.

Thinking about this some more, I think it would be better to mandate
a specific solution.

There have been many suggestions of alternative approaches which are
(i) more complicated and (ii) whose effects we are not entirely sure
and (iii) which would require specifying in detail, but which somehow
avoid sidestep the key disputes.

The key disputes seem to be:

  - Some people claim that metapackages should not use Recommends.
    I disagree.

  - GNOME upstream have declared Network Manager to be an integral
    part of GNOME and the Debian maintainer is insisting on following
    their lead in gnome-core.  The maintainer is essentially asserting
    that the very purpose of the gnome-core metapackage is to reflect
    precisely what upstream have decreed, and that we should not
    deviate.  I disagree; I think (a) we should feel free to deviate
    from upstream if doing so is better for our users and (b) anyway
    setting one of the dependencies to Recommends is not a significant
    deviation.

My best argument in favour of specifying the specific solution is that
we know exactly what the effects will be.

If we want instead to write a resolution specify the effects, we will
have to consider carefully exactly which effects we want to mandate.
For example, creating another metapackage might have transitional
implications; both for users upgrading from squeeze and for other
packages which depend on gnome-core.

Also if we want this to be in wheezy we want not to be messing about
with complicated solutions.  There is a risk, for example, that the
maintainer might choose an approach unsuitable for release in wheezy.
We can hardly tell the maintainer `you must do this but you must do it
in the way you think is best for wheezy' - that would amount to asking
them to undermine their own judgement.

For the same reason I would like a decision quickly.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #51 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 10:22:39 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
> Bdale Garbee writes:
>> Gergely Nagy <algernon@balabit.hu> writes:

>>> As a user, my expectation is that if I install a *meta* package, then
>>> the whole platform will be installed, and will be kept
>>> installed. That's the main reason I install meta packages.

>> I comprehend you, but to me the difficulty is in defining what "the
>> whole platform" means and thus where the boundary should lie.  In the
>> current case, if someone says "I want Gnome", do they really expect
>> that to include network-manager to the exclusion of all other options,
>> or might they reasonably expect to be able to use wicd, or something
>> else, as an alternative?

> Quite.

> It has also been suggested that gnome-session would be a better
> package to install, but of course that excludes all of the gnome
> applications - which is probably what the user wanted in this case.

Do we know for certain that installation of network-manager excludes
alternatives?  Tollef replied to me on debian-devel wondering why people
who don't want to use network-manager just disable it, which implies that
there's some means to turn it off while it's still installed.  (I don't
think I ever investigated that.)

I'm not sure how significant that is to the decision, but it sounded like
people are assuming that having network-manager installed excludes use of
wicd or something else, so I want to be sure people aren't making
decisions based on false premises.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 18:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 18:12:10 GMT) Full text and rfc822 format available.

Message #56 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 19:10:30 +0100
Russ Allbery writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Do we know for certain that installation of network-manager excludes
> alternatives?  Tollef replied to me on debian-devel wondering why people
> who don't want to use network-manager just disable it, which implies that
> there's some means to turn it off while it's still installed.  (I don't
> think I ever investigated that.)

I don't know that we have investigated that.  But I do know that
having it install n-m might be a problem even if you can disable n-m
afterwards.  For example, n-m might break your network on
installation.

> I'm not sure how significant that is to the decision, but it sounded like
> people are assuming that having network-manager installed excludes use of
> wicd or something else, so I want to be sure people aren't making
> decisions based on false premises.

Also ISTR reading some assertions in the discussion that people who
had previously installed n-m, found it troublesome and disabled it,
had it reenabled somehow.  Not installing something is generally a
more reliable approach than asking people to fiddle with its config.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 20:21:08 GMT) Full text and rfc822 format available.

Message #61 received at 681834@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 22:18:31 +0200
[Message part 1 (text/plain, inline)]
Am 17.07.2012 14:56, schrieb Ian Jackson:
> block 645656 by 681834
> thanks
> 
> The argument about the dependency from gnome-core to network-manager
> has now reached the TC.  This has been extensive discussed, most
> recently on debian-devel.  The most recent response from Josselin is
> here:
>   http://lists.debian.org/debian-devel/2012/07/msg00210.html
> 
> It seems to me that:
> 
>  * n-m breaks the networking of enough people that this is a
>    significant problem which should be fixed.

This is pure FUD without further details. Do you have any bug numbers in
particular? I don't claim that there aren't any bugs in NM but if there
are issues, they should be fixed in NM.

>  * There is not currently another metapackage besides gnome-core that
>    would pull in enough of the gnome system.

You can use gnome-session and install the additional packages you want.

Also, as an alternative if you can't use network-manager for whatever
reasons,  you can install gnome-core and disable network-manager. This
is as simple as

"update-rc.d network-manager disable"


>  * There is no good reason not to use Recommends (or indeed Suggests)
>    in a metapackage.

Not true, Joss put it very well at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=645656#65

Ian, you can of course dismiss all those reasons (as you did in the
past), but that doesn't mean that those reasons are not valid.
I have the impression that you are biased against NM regarding this
issue and in general.

>  * In particular, tests have shown that the remainder of gnome
>    functions as expected when network-manager is not installed; the
>    situation appears to be the similar to that which occurs if n-m is
>    installed but the system's active network connection is not one
>    made by n-m.

Those so called "tests" have been done by Adam Borowski, who is known to
hate NM, so he is not impartial on this topic.

And no, it doesn't work as expected. GNOME users expect to be able to
setup their network with a single click.
None of the alternatives has a comparable integration into GNOME as
network-manager. Not wicd, and definitely not ifupdown.

We want to provide a coherent environment where the differenct
compontents are integrated as best as possible.

As for the situation where nm is installed but doesn't manage the
network connection: This is actually extremely confusing to users as
various bug reports have shown.

> So I would propose that we:
> 

>  * Overrule the maintainer of gnome-core, requiring that the
>    dependency on network-manager be changed to Recommends;

If you force us to do that against our better judgement, I'm handing in
my resignment tomorrow.



Michael



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 20:33:05 GMT) Full text and rfc822 format available.

Message #66 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 13:30:21 -0700
Michael Biebl <biebl@debian.org> writes:

> Also, as an alternative if you can't use network-manager for whatever
> reasons,  you can install gnome-core and disable network-manager. This
> is as simple as

> "update-rc.d network-manager disable"

[...]

> As for the situation where nm is installed but doesn't manage the
> network connection: This is actually extremely confusing to users as
> various bug reports have shown.

Are these two points consistent?  In other words, *is* it as simple as
running:

    update-rc.d network-manager disable

and installing wicd or something else, or is that configuration "extremely
confusing" to users?  Or did you mean something different by the last
paragraph?

If there's a clean way to disable network-manager, I think that's a
reasonable alternative to either creating yet another meta-package or
arguing about Depends vs. Recommends in gnome-core.  But there seems to be
a lot of debate over this point.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #71 received at 681834@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 23:22:39 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 17 July 2012 19:15:34 Ian Jackson wrote:
>   - Some people claim that metapackages should not use Recommends.
>     I disagree.

Metapackages is *someones* *subjective* opinion what a specific set should do. 
And this subjective opinion is up to the maintainer to figure it out. Not 
anyone else. 
If you disagree with *someones* opinion, you are free to not use the 
metapackage. And it is easy. The metapackage itself does not offer any 
functionality.
 
>   - GNOME upstream have declared Network Manager to be an integral
>     part of GNOME and the Debian maintainer is insisting on following
>     their lead in gnome-core.  The maintainer is essentially asserting
>     that the very purpose of the gnome-core metapackage is to reflect
>     precisely what upstream have decreed, and that we should not
>     deviate.  

And this is a perfectly fine rationale. Having a set of packages that gives 
the user exactly what upstream is providing. Wether or not we shoul *also* 
offer something else is purely up to people doing the offerings. But being 
able to give the experience that upstream offers is important. And given what 
I have seen in some gnome apps, NM is needed for that experience.

NM is also the technology that Gnome has chosen to couple tightly with the 
shell in order to provide what upstream thinks is the best possible Gnome 
experience. We should allow our people to be able to provide what upstream 
thinks is the best possible experience.

> implications; both for users upgrading from squeeze and for other
> packages which depend on gnome-core.

Also note that the coupling between gnome-shell and NM has gotten much 
stronger since squeeze, so it is not unreasonable to require it harder than in 
the squeeze days. Software evolve.
 
/Sune
 - who isn't a user of the above packages, but want to have the right to 
define what the content of the meta packages he provides should do.
-- 
Man, how to unmount the microprocessor of a pointer of a program over the 
level-8 TCP icon from Word 3.6.9?

First of all you neither must explore the case, nor should mount a space bar 
for exploring the GPU.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 22:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 22:45:08 GMT) Full text and rfc822 format available.

Message #76 received at 681834@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 00:42:55 +0200
[Message part 1 (text/plain, inline)]
On 17.07.2012 22:30, Russ Allbery wrote:
> Michael Biebl <biebl@debian.org> writes:
> 
>> Also, as an alternative if you can't use network-manager for whatever
>> reasons,  you can install gnome-core and disable network-manager. This
>> is as simple as
> 
>> "update-rc.d network-manager disable"
> 
> [...]
> 
>> As for the situation where nm is installed but doesn't manage the
>> network connection: This is actually extremely confusing to users as
>> various bug reports have shown.
> 
> Are these two points consistent?  In other words, *is* it as simple as
> running:
> 
>     update-rc.d network-manager disable
> 
> and installing wicd or something else, or is that configuration "extremely
> confusing" to users? 

I think those points are consistent. Users which deliberatly chose to
install wicd (or use other mechanisms) will most likely know what they
are doing and that this will have effects on how their desktop
environment will behave, e.g. that they will no longer be able to
configure their network via gnome-control-center, the network indicator
in the top panel will be gone, on/offline detection no longer being
available, etc.

As for the point of non-managed devices being confusing to users, I
probably need to say a few words:
In the network-manager package we go to great lengths to be a good
citizen and respect existing configuration. That means, if the
network-manager daemon finds a configuration in /etc/network/interfaces
for a given physical device, it does not manage that device under the
assumption that the user/administrator deliberately set up /e/n/i to
have ifupdown manage this interface.
It is hard to distinguish, which entries were created manually and which
by the debian installer, though.
The d-i installer typically creates a /e/n/i configuration, so users
weren't able to manage this device with network-manager after a
successfull installation, unless they manually removed the configuration
from /e/n/i.
This was extremely confusing for less experienced users and I got
numerous bug reports over the years [1].
We thus tried a compromise, where the network-manager postinst script
automatically comments out dhcp-type connections in /e/n/i (and restores
them, in case the package is removed again,fwiw).
This is admittedly quite ugly, but ifupdown didn't provide a nicer
interface to achieve that at the time.
Andrew has signaled interest in providing a better interface for that in
ifupdown, so hopefully we can solve that in a nicer way. IIRC, the
Ubuntu graphical installer no longer creates any /e/n/i configuration at
all, to avoid this problem completely.


> If there's a clean way to disable network-manager, I think that's a
> reasonable alternative to either creating yet another meta-package or
> arguing about Depends vs. Recommends in gnome-core.  But there seems to be
> a lot of debate over this point.

Disabling network-manager via "update-rc.d network-manager disable" is a
reliable and clean way to stop network-manager from running. It won't be
magically re-enabled on upgrades or restarted, since invoke-rc.d
respects if a sysv service is disabled this way.



Michael


P.S: I apologize for the threats to leave in my last email. I know this
is not professional. This whole issue is extremely frustrating though
and I'm currently quite pissed so I reacted more emotionally, then I
should have.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606268
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 17 Jul 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #81 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Tue, 17 Jul 2012 15:53:39 -0700
Michael Biebl <biebl@debian.org> writes:
> On 17.07.2012 22:30, Russ Allbery wrote:

>> If there's a clean way to disable network-manager, I think that's a
>> reasonable alternative to either creating yet another meta-package or
>> arguing about Depends vs. Recommends in gnome-core.  But there seems to
>> be a lot of debate over this point.

> Disabling network-manager via "update-rc.d network-manager disable" is a
> reliable and clean way to stop network-manager from running. It won't be
> magically re-enabled on upgrades or restarted, since invoke-rc.d
> respects if a sysv service is disabled this way.

Do you think this would be reasonable to document somewhere, since it
keeps coming up?  I'm not sure what the best place would be, although
/usr/share/doc/gnome-core/README.Debian is at least not horrible, or
possibly in the network-manager directory (or both).

(Apologies if you've already done this.  I didn't go look.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 00:51:03 GMT) Full text and rfc822 format available.

Message #86 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Michael Biebl <biebl@debian.org>, 681834@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 01:48:01 +0100
Michael Biebl writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> We thus tried a compromise, where the network-manager postinst script
> automatically comments out dhcp-type connections in /e/n/i (and restores
> them, in case the package is removed again,fwiw).

So just to be clear: consider the case where a user has deliberately
violated the Recommends in squeeze from gnome to network-manager, and
now upgrades to wheezy.  They will get network-manager back via the
hard dependency from gnome-core.  Presumably they don't want to
deinstall `gnome', so they don't have a choice about that.

If their networking is using a dhcp entry in /etc/network/interfaces,
the result of installing n-m will be that this entry will be commented
out.  So the networking will break.  Furthermore, your proposed
workaround ...

> Disabling network-manager via "update-rc.d network-manager disable" is a
> reliable and clean way to stop network-manager from running. It won't be
> magically re-enabled on upgrades or restarted, since invoke-rc.d
> respects if a sysv service is disabled this way.

... will not put it back.  That just goes to show why installing an
undesired package and disabling it is not a particularly good way to
avoid any breakage it causes.

And that's before we even consider bugs in the maintainer scripts.

If the user's networking is using wicd then installing n-m will
probably cause both wicd and n-m to manage the same interface ?  That
won't work well - it will probably break the networking - but at least
disabling the n-m as above and restarting everything (perhaps
rebooting) ought to fix it.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 00:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #91 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Sune Vuorela <sune@debian.org>, 681834@bugs.debian.org
Cc: gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 01:55:03 +0100
Sune Vuorela writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Metapackages is *someones* *subjective* opinion what a specific set
> should do.  And this subjective opinion is up to the maintainer to
> figure it out. Not anyone else.

I don't agree with this as a matter of principle.  I don't think
metapackages are somehow special.  The contents of important
metapackages such as the ones we're discussing here have very
wide-ranging effects.

> If you disagree with *someones* opinion, you are free to not use the 
> metapackage. And it is easy. The metapackage itself does not offer any 
> functionality.

This is not a practical approach.  Users who want to avoid n-m would
have to remove at least the gnome and gnome-core metapackages, and
presumably someone would have to make replacements for them to install
instead.

With the status quo, users who have already deliberately decided to
remove network-manager will have it reinstalled during the squeeze to
wheezy upgrade.  I don't think that's right.

> NM is also the technology that Gnome has chosen to couple tightly with the 
> shell in order to provide what upstream thinks is the best possible Gnome 
> experience. We should allow our people to be able to provide what upstream 
> thinks is the best possible experience.

No, we should provide what _we_ think is the best possible experience.
In the first instance that's the maintainer's decision.  But
maintainers sometimes get things wrong, and that's why we have the TC.

> Also note that the coupling between gnome-shell and NM has gotten
> much stronger since squeeze, so it is not unreasonable to require it
> harder than in the squeeze days. Software evolve.

Experiemnts reported on debian-devel show that this `tight coupling'
is more a matter of doctrine than an actual hard functional
dependency.

Indeed on two of our platorms network-manager isn't even supported, so
it is just left out of the gnome-core metapackage!

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #96 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Michael Biebl <biebl@debian.org>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 02:10:05 +0100
Michael Biebl writes ("Re: network-manager, gnome, Recommends vs Depends"):
> Am 17.07.2012 14:56, schrieb Ian Jackson:
> > It seems to me that:
> > 
> >  * n-m breaks the networking of enough people that this is a
> >    significant problem which should be fixed.
> 
> This is pure FUD without further details. Do you have any bug numbers in
> particular? I don't claim that there aren't any bugs in NM but if there
> are issues, they should be fixed in NM.

The discussion of this has been extensive.  Also, as Adam Borowski
points out, it is perfectly possible for n-m to fail in a certain
peculiar situation but for that not to be a bug in n-m.  n-m does not
have to be all things to all people, networking wise.  It doesn't even
necessarily have to be all things to all gnome users.  The bug is in
the gnome metapackages which unconditionally pull it into all systems.

> >  * There is no good reason not to use Recommends (or indeed Suggests)
> >    in a metapackage.
> 
> Not true, Joss put it very well at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=645656#65
> 
> Ian, you can of course dismiss all those reasons (as you did in the
> past), but that doesn't mean that those reasons are not valid.

I don't find those reasons convincing.

> I have the impression that you are biased against NM regarding this
> issue and in general.

I'm using n-m myself on the very computer I'm now typing at, after
having switched to it from ifupdown in my previous install, and have
no regrets on that score.

Please refrain from personal attacks.

> >  * In particular, tests have shown that the remainder of gnome
> >    functions as expected when network-manager is not installed; the
> >    situation appears to be the similar to that which occurs if n-m is
> >    installed but the system's active network connection is not one
> >    made by n-m.
> 
> Those so called "tests" have been done by Adam Borowski, who is known to
> hate NM, so he is not impartial on this topic.

However, he has actually done the tests.  We should believe him unless
you can show that he has made a mistake.  Furthermore, you are coming
rather close to accusing him of dishonesty.

If you would like to do tests of your own, I'd be interested to hear
about any serious malfunctions which would be unreasonable in context
(the context being a user who has deliberately violated a Recommends
and deliberately deinstalled gnome's networking management
components).

> And no, it doesn't work as expected. GNOME users expect to be able to
> setup their network with a single click.

You are twisting my word `expected'.  What I meant was that a user who
deinstalls network-manager, deliberately violating the Recommends,
should reasonably expect that some network-related things in gnome
won't work quite right (or at all).

That, presumably, is the price they are willing to pay.  They express
that choice precisely by violating the Recommends.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 01:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 01:15:05 GMT) Full text and rfc822 format available.

Message #101 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Russ Allbery <rra@debian.org>, 681834@bugs.debian.org
Cc: gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 02:13:28 +0100
Russ Allbery writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Michael Biebl <biebl@debian.org> writes:
> > Also, as an alternative if you can't use network-manager for whatever
> > reasons,  you can install gnome-core and disable network-manager. This
> > is as simple as
> 
> > "update-rc.d network-manager disable"
> 
> [...]
> 
> > As for the situation where nm is installed but doesn't manage the
> > network connection: This is actually extremely confusing to users as
> > various bug reports have shown.
> 
> Are these two points consistent?  In other words, *is* it as simple as
> running:
> 
>     update-rc.d network-manager disable
> 
> and installing wicd or something else, or is that configuration "extremely
> confusing" to users?  Or did you mean something different by the last
> paragraph?

No, I think you have read Michael correctly.  The "extremely
confusing" situation you get if you disable it as suggested above is
the same "extremely confusing" situation you get if you deinstall it.

Apart from any damage done to your alternative networking arrangements
by the maintainer scripts, possible transient interruption to your
networking while you attempt to fix the configuration (hopefully not
remotely), etc.

(And it's not clear to me how the gnome programs react to n-m being
started and then stopped.  Transiently having n-m running because the
package gets installed and then disabled might mean that some of them
need to be restarted AFAICT from the reports on -devel.)

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 18:33:06 GMT) Full text and rfc822 format available.

Message #106 received at 681834@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, Michael Biebl <biebl@debian.org>, 681834@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 11:22:55 -0700
On Wed, Jul 18, 2012 at 01:48:01AM +0100, Ian Jackson wrote:
> Michael Biebl writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> > We thus tried a compromise, where the network-manager postinst script
> > automatically comments out dhcp-type connections in /e/n/i (and restores
> > them, in case the package is removed again,fwiw).

> So just to be clear: consider the case where a user has deliberately
> violated the Recommends in squeeze from gnome to network-manager, and
> now upgrades to wheezy.  They will get network-manager back via the
> hard dependency from gnome-core.  Presumably they don't want to
> deinstall `gnome', so they don't have a choice about that.

> If their networking is using a dhcp entry in /etc/network/interfaces,
> the result of installing n-m will be that this entry will be commented
> out.  So the networking will break.

I don't see how this follows.  If n-m has been newly installed and is in
proper working order, and it sees that there's a trivially-configured
network interface in /e/n/i that it can take over, and it does so, how does
networking break?

And if it breaks, shouldn't we consider that a release critical bug in NM in
its own right, to be fixed for wheezy, regardless of whether NM is being
pulled in by default on upgrade?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #111 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Steve Langasek <vorlon@debian.org>, 681834@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, Russ Allbery <rra@debian.org>, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 22:40:41 +0100
Steve Langasek writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> I don't see how this follows.  If n-m has been newly installed and is in
> proper working order, and it sees that there's a trivially-configured
> network interface in /e/n/i that it can take over, and it does so, how does
> networking break?

Well, two ways: firstly, because the user has been told very
vigorously by the maintainers that if they didn't want n-m, they
should disable it rather than removing the package.  If they follow
this advice the result will be that n-m took over their network
interface, and then took it down when it was disabled.

Secondly, it is possible for dhcp entries to be non-trivial.  They may
specify interesting scripts to be run, dhcp options, bridging, etc.
It's not clear to me exactly which of these scenarious result in
what outcome.

Simply not installing the package clearly has the right outcomes and
is obviously the best technical solution to the requirement not to use
n-m.  There is no technical advantage in having n-m installed when the
user doesn't want to use it.

We are only having this conversation at is because the gnome upstream
and maintainers want n-m installed on people's systems for doctrinal
reasons.  Doctrinal reasons are not good reason IMO.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #116 received at 681834@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: Steve Langasek <vorlon@debian.org>, 681834@bugs.debian.org, Russ Allbery <rra@debian.org>, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 23:44:54 +0200
[Message part 1 (text/plain, inline)]
On 18.07.2012 23:40, Ian Jackson wrote:

> Secondly, it is possible for dhcp entries to be non-trivial.  They may
> specify interesting scripts to be run, dhcp options, bridging, etc.
> It's not clear to me exactly which of these scenarious result in
> what outcome.

NM doesn't take over any such entries which have more complex options.



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 18 Jul 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noel David Torres Taño <envite@rolamasao.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #121 received at 681834@bugs.debian.org (full text, mbox):

From: Noel David Torres Taño <envite@rolamasao.org>
To: debian-ctte@lists.debian.org, 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 18 Jul 2012 23:35:32 +0100
[Message part 1 (text/plain, inline)]
Hi ctte

I just wanted to bring here an argument that came in debian-devel: the one 
that says that n-m does not play well with usb0 type network interfaces [1].

I have not tested this myself, since I do not use a laptop and do not need an 
USB network gadget on my desktop, so I can not confirm it. But if it is true, 
it means that gnome chained hard dependency on network-manager is not even 
suitable for laptops when they need to resort to USB network cards.

Another issue that has come across the discussion is about network-manager 
being deinstalled means n-m enabled applications break. As far as I know, n-m 
aware applications all have a fallback mode. My (personal) use case against 
network-manager is that I use pidgin, which is n-m aware, and I use a 
networking configuration with static interfaces (I use a static IP at home). 
If n-m is installed and running, pidgin does not work since it thinks there is 
no usable network. Deinstalling n-m (dpkg -P in my case) fixs it without 
needing to restart it, you just need to disable and reenable accounts. update-
rc.d will do the same, but I see no point of having an unused software 
installed, but it comes it again on any aptitude run (together with the option 
of pulling gnome and al its related packages out). Also in my personal use 
case, n-m messing with /e/n/i is not an issue since I do not have interfaces 
that can get hijacked by n-m, but as it has been shown in this list, some 
people can have that concern.

Regards

Noel Torres
er Envite

[1] https://lists.debian.org/debian-devel/2012/07/msg00471.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 08 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 08 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #126 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 8 Aug 2012 16:54:36 +0100
How about this:

  Whereas:

  1. Our technical objectives are:

    (i) Users who do not do anything special should get
	network-manager along with gnome (in this case, along with
	gnome-core).  These users should continue to have
	network-manager installed, across upgrades.

    (ii) Users should be able to conveniently install and upgrade
	gnome without network-manager.

    (iii) Users who deliberately removed network-manager in squeeze
	(which they will generally have done by deliberately violating
	the Recommends from the gnome metapackage) should not have to
	do anything special to avoid it coming back in wheezy.

    (iv) Users who do make a decision that they do not want to use
	network-manager should not have to read specific
	documentation, or temporarily have network-manager installed,
	risk being exposed to bugs in network-manager's configuration
	arrangements, and so on.

  2. Our technical objectives do NOT include:

    (i) The `gnome-core' metapackage should in some sense perfectly or
        exactly correspond to GNOME upstream's definition of `the GNOME
        Core', specifically including every such component as a hard
        Depends.

    (ii) The contents of any metapackage should be the correct
        expression of the subjective opinion of the metapackage's
        maintainer.

    (iii) Users who choose to globally disable Recommends should still
        get the desired behaviours as described above in point 1.

  3. The solution recommended by the gnome-core maintainers is
     that users who do not wish to use network-manager should have it
     installed but disable it.

     Installing network-manager in these circumstances does
     not fully meet any of the above objectives apart from 1(i).

  5. The alternative solution rejected by the gnome-core maintainers
     is downgrade the dependency to Recommends.

     This solution meets all of the objectives from point 1, except
     that infelicities in teh package manager may mean that the user
     in 1(iii) may need to take action to prevent network-manager
     being reinstalled during an upgrade.

  Therefore:

  6. The Technical Committee overrules the decision of the gnome-core
     metapackage maintainer.  The dependency from gnome-core to
     network-manager-gnome should be downgraded to Recommends.

  7. The Technical Committee requests that the Release Managers
     unblock the update to implement this decision, so that this
     change may be released in wheezy.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 08 Aug 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 08 Aug 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #131 received at 681834@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 681834@bugs.debian.org
Cc: gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 8 Aug 2012 18:09:05 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 17, 2012 at 01:56:45PM +0100, Ian Jackson wrote:
> block 645656 by 681834
> thanks
> 
> The argument about the dependency from gnome-core to network-manager
> has now reached the TC.  This has been extensive discussed, most
> recently on debian-devel.  The most recent response from Josselin is
> here:
>   http://lists.debian.org/debian-devel/2012/07/msg00210.html
> 
> It seems to me that:
> 
>  * n-m breaks the networking of enough people that this is a
>    significant problem which should be fixed.
> 
>  * There is not currently another metapackage besides gnome-core that
>    would pull in enough of the gnome system.
> 
>  * There is no good reason not to use Recommends (or indeed Suggests)
>    in a metapackage.
> 
>  * In particular, tests have shown that the remainder of gnome
>    functions as expected when network-manager is not installed; the
>    situation appears to be the similar to that which occurs if n-m is
>    installed but the system's active network connection is not one
>    made by n-m.
> 
>  * Also, that there are people who choose not to install Recommends at
>    all is not a reason not to make this change.
> 
>  * The present situation in wheezy appears to be a regression from
>    squeeze.
> 
> So I would propose that we:
> 
>  * Clarify our view that the normal rules for deciding dependency
>    priorities apply to meta packages too;
> 
>  * Require no change to policy;
> 
>  * Overrule the maintainer of gnome-core, requiring that the
>    dependency on network-manager be changed to Recommends;
> 
>  * Advise the release managers that we would prefer this change to be
>    made in wheezy, provided it is uploaded promptly.
> 
> Ian.

I propose that you consider to have the gnome-core and gnome packages
moved to the "metapackages" section of the archive. This will cause
APT to mark the packages they depend on as manually installed, with the
result that they will not be removed automatically anymore.

A user can then just remove network-manager, which removes gnome-core
(and gnome) but does not remove any other package installed by
those packages.

This should solve the problem for everyone.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 08 Aug 2012 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 08 Aug 2012 16:18:06 GMT) Full text and rfc822 format available.

Message #136 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Julian Andres Klode <jak@debian.org>
Cc: 681834@bugs.debian.org, gnome-core@packages.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 8 Aug 2012 17:16:32 +0100
Julian Andres Klode writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> I propose that you consider to have the gnome-core and gnome packages
> moved to the "metapackages" section of the archive. This will cause
> APT to mark the packages they depend on as manually installed, with the
> result that they will not be removed automatically anymore.

This might help but it is not a complete solution, because it means
that when the set of gnome packages changes from release to release,
the user will end up with the old set from the gnome they installed
originally.  That's not correct.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 08 Aug 2012 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 08 Aug 2012 22:39:06 GMT) Full text and rfc822 format available.

Message #141 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Wed, 08 Aug 2012 15:36:04 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> How about this:

This doesn't feel quite right to me, but I'm not sure how to phrase my
feeling in terms of specific objections.  Let me try to instead draft the
sort of statement that I feel like I want to make and see what people
think of it.

    The gnome-core metapackage is intended to reflect the core of the
    GNOME desktop environment: the basic tools and subsystems that
    together constitute GNOME.  The gnome metapackage is intended to
    reflect the broader desktop environment, including extra components
    and applications.

    network-manager is the GNOME network control system, and is
    recommended for most GNOME users.  Some Debian GNOME users don't like
    some of network-manager's behavior and prefer to instead use other
    tools, either basic ifupdown or other frameworks such as wicd.

    In squeeze, the gnome metapackage lists network-manager in Recommends
    but not Depends.  In wheezy, currently, network-manager has moved from
    gnome to gnome-core, and from Recommends to Depends.  This represents
    a substantially increased insistance that users of the GNOME
    metapackages have network-manager installed.  This change is, so far
    as the Technical Committee understands, driven primarily by user
    confusion and bug reports, but does not reflect a deeper or tighter
    integration of network-manager into GNOME than was the case in
    squeeze.

    If matters are left as they currently stand, users who have the gnome
    metapackages installed but do not have network-manager installed will,
    in the process of upgrading from squeeze to wheezy (either due to an
    explicit decision to remove it or an implicit decision to not install
    it by disabling automatic installation of Recommends), end up
    installing network-manager on systems where it is currently not
    installed.  It will also no longer be possible for users to install
    GNOME metapackages in wheezy without installing network-manager.

    For most applications and components, the only drawback of this would
    be some additional disk space usage, since the application, despite
    being installed, wouldn't need to be used.  However, network-manager
    assumes that, if it is installed, it should attempt to manage the
    system's network configuration.  It attempts to avoid overriding local
    manual configuration, but it isn't able to detect all cases where the
    user is using some other component or system to manage networking.
    The user has to take separate, explicit (and somewhat unusual for the
    average user) action to disable network-manager after it has been
    installed.

    The Technical Committee believes that this will cause undesireable
    behavior for upgrades from squeeze, and (of somewhat lesser
    importance) will make it more difficult than necessary for GNOME users
    to swap network management components, something for which there
    appears to be noticable demand.  We therefore believe that
    network-manager should be either moved to Recommends in gnome-core, or
    moved from the gnome-core metapackage to the gnome metapackage (which
    is defined as including additional, optional components).

    Please note that this is not a general statement about GNOME
    components.  It is very specific to network-manager because all of the
    following apply:

    1. The package takes action automatically because it is installed,
       rather than being a component that can either be run or not at the
       user's choice.

    2. The package has historically been recommended rather than listed as
       a dependency, so existing Debian users are used to that behavior.

    3. There is both demonstrable, intentional widespread replacement of
       that package by Debian GNOME users and no significant loss of
       unrelated GNOME desktop functionality by replacing it with a
       different component.

    If any of these points did not apply, the situation would be
    significantly different.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Thu, 09 Aug 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 09 Aug 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #146 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Thu, 9 Aug 2012 17:19:54 +0100
Russ Allbery writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Ian Jackson <ijackson@chiark.greenend.org.uk> writes:
> 
> > How about this:
> 
> This doesn't feel quite right to me, but I'm not sure how to phrase my
> feeling in terms of specific objections.  Let me try to instead draft the
> sort of statement that I feel like I want to make and see what people
> think of it.

I agree with almost all of this.  It's a good analysis.

>                                                   This change is, so far
>     as the Technical Committee understands, driven primarily by user
>     confusion and bug reports, but does not reflect a deeper or tighter
>     integration of network-manager into GNOME than was the case in
>     squeeze.

As I say I don't think there is any significant evidence of this.
There is evidence of resistence from users who deliberately globally
disable recommends, but those users aren't confused.

I'm not happy with this statement in the absence of evidence (whether
in the form of bug reports or mailing list postings or whatever) from
users who are _actually confused_.

>     The Technical Committee believes that this will cause undesireable
>     behavior for upgrades from squeeze, and (of somewhat lesser
>     importance) will make it more difficult than necessary for GNOME users
>     to swap network management components, something for which there
>     appears to be noticable demand.  We therefore believe that
>     network-manager should be either moved to Recommends in gnome-core, or
>     moved from the gnome-core metapackage to the gnome metapackage (which
>     is defined as including additional, optional components).

Moving the dependency to gnome doesn't help completely, because there
are users who want to install gnome but not network-manager.  That's
why in squeeze the dependency from gnome is a Recommends.

I don't care very much whether the dependency is from gnome or
gnome-core.  But refraining from moving it from gnome to gnome-core
does not obviate the need to refrain from upgrading it to Depends.

So I agree with most of your reasoning but I think your conclusion
needs to be a little stronger.  I would say:

>                                               We therefore believe that
>     network-manager should be moved to Recommends in gnome-core.

And you haven't addressed the question of whether this should be done
in wheezy.

Thanks,
Ian.



Marked Bug as done Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sat, 18 Aug 2012 01:39:04 GMT) Full text and rfc822 format available.

Notification sent to Noel David Torres Taño <envite@rolamasao.org>:
Bug acknowledged by developer. (Sat, 18 Aug 2012 01:39:04 GMT) Full text and rfc822 format available.

Disconnected #681783 from all other report(s). Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 08:30:04 GMT) Full text and rfc822 format available.

Merged 681783 681834 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 08:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 24 Aug 2012 13:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 24 Aug 2012 13:54:05 GMT) Full text and rfc822 format available.

Message #159 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org, 681783@bugs.debian.org
Subject: gnome-core metapackage network-manager dependency
Date: Fri, 24 Aug 2012 14:50:56 +0100
unmerge 681834
retitle 681834 Dependency from network-manager to gnome
reopen 681834 =
thanks

We have dealt with the general issue of Recommends in metapackages.

We have been also discussing the merits of the specific hard
dependency from gnome-core to network-manager-gnome (pulling in
network-manager), in #681834.  See the bug log and email thread for
#681834.

However, even though we have been treating these issues separately,
these bugs were merged at the point when Don closed #681783 (the
general issue), so #681834 fell off our todo list.

So: unmerge and reopen #681834 and clarify the title.

Ian.



Disconnected #681834 from all other report(s). Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 13:54:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Dependency from network-manager to gnome' from 'tech-ctte: Use of Recommends instead of Depends for metapackages' Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 13:54:07 GMT) Full text and rfc822 format available.

Bug reopened Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 13:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 24 Aug 2012 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 24 Aug 2012 18:15:04 GMT) Full text and rfc822 format available.

Message #170 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Fri, 24 Aug 2012 19:11:14 +0100
Ian Jackson writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> I agree with almost all of this.  It's a good analysis.

I have taken the liberty of making a version of it with the small
changes that I thought were appropriate.

I've done this in the tech-ctte.git repo so you if you pull can see
the diffs.  Below is the full text of my revised proposal.

I've left my original proposal, and the original version of yours, in
the git repo too, as it didn't seem right to just appropriate yours
and make the changes off my own bat.


Here is a discussion of the substantive changes:

> Russ Allbery writes:
> >                                                   This change is, so far
> >     as the Technical Committee understands, driven primarily by user
> >     confusion and bug reports, but does not reflect a deeper or tighter
> >     integration of network-manager into GNOME than was the case in
> >     squeeze.
> 
> As I say I don't think there is any significant evidence of this.
...
> I'm not happy with this statement in the absence of evidence (whether
> in the form of bug reports or mailing list postings or whatever) from
> users who are _actually confused_.

I've simply removed that part of the assertion in my version of your
proposal, leaving the part of about "deeper or tighter integration".

> So I agree with most of your reasoning but I think your conclusion
> needs to be a little stronger.  I would say:
> 
> >                                               We therefore believe that
> >     network-manager should be moved to Recommends in gnome-core.

Done in my version of your draft.

> And you haven't addressed the question of whether this should be done
> in wheezy.

I have added a "wheras" and added a new "therefore" section containing
the two concluding paragraphs from my draft, to make it clear exactly
what the effect of the resolution is.


So here's my proposal.  I would be happy with this as a TC
resolution, although it's quite wordy.


 Whereas:

 1. The gnome-core metapackage is intended to reflect the core of the
    GNOME desktop environment: the basic tools and subsystems that
    together constitute GNOME.  The gnome metapackage is intended to
    reflect the broader desktop environment, including extra components
    and applications.

 2. network-manager is the GNOME network control system, and is
    recommended for most GNOME users.  Some Debian GNOME users don't like
    some of network-manager's behavior and prefer to instead use other
    tools, either basic ifupdown or other frameworks such as wicd.

 3. In squeeze, the gnome metapackage lists network-manager in Recommends
    but not Depends.  In wheezy, currently, network-manager has moved from
    gnome to gnome-core, and from Recommends to Depends.  This represents
    a substantially increased insistance that users of the GNOME
    metapackages have network-manager installed.  This change does
    not reflect, so far as the Technical Committee understands, a
    deeper or tighter integration of network-manager into GNOME than
    was the case in squeeze.

 4. If matters are left as they currently stand, users who have the gnome
    metapackages installed but do not have network-manager installed will,
    in the process of upgrading from squeeze to wheezy (either due to an
    explicit decision to remove it or an implicit decision to not install
    it by disabling automatic installation of Recommends), end up
    installing network-manager on systems where it is currently not
    installed.  It will also no longer be possible for users to install
    GNOME metapackages in wheezy without installing network-manager.

 5. For most applications and components, the only drawback of this would
    be some additional disk space usage, since the application, despite
    being installed, wouldn't need to be used.  However, network-manager
    assumes that, if it is installed, it should attempt to manage the
    system's network configuration.  It attempts to avoid overriding local
    manual configuration, but it isn't able to detect all cases where the
    user is using some other component or system to manage networking.
    The user has to take separate, explicit (and somewhat unusual for the
    average user) action to disable network-manager after it has been
    installed.

 6. The Technical Committee believes that this will cause undesireable
    behavior for upgrades from squeeze, and (of somewhat lesser
    importance) will make it more difficult than necessary for GNOME users
    to swap network management components, something for which there
    appears to be noticable demand.  We therefore believe that
    network-manager should be moved to Recommends in gnome-core.

 7. Please note that this is not a general statement about GNOME
    components.  It is very specific to network-manager because all of the
    following apply:

    (i) The package takes action automatically because it is installed,
       rather than being a component that can either be run or not at the
       user's choice.

    (ii) The package has historically been recommended rather than listed as
       a dependency, so existing Debian users are used to that behavior.

    (ii) There is both demonstrable, intentional widespread replacement of
       that package by Debian GNOME users and no significant loss of
       unrelated GNOME desktop functionality by replacing it with a
       different component.

 8. If any of these points did not apply, the situation would be
    significantly different.

 Therefore:

 9. The Technical Committee overrules the decision of the gnome-core
     metapackage maintainers.  The dependency from gnome-core to
     network-manager-gnome should be downgraded to Recommends.

 10. The Technical Committee requests that the Release Managers
     unblock the update to implement this decision, so that this
     change may be released in wheezy.


Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Mon, 03 Sep 2012 21:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 03 Sep 2012 21:18:15 GMT) Full text and rfc822 format available.

Message #175 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Mon, 03 Sep 2012 14:16:30 -0700
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I have taken the liberty of making a version of it with the small
> changes that I thought were appropriate.

> I've done this in the tech-ctte.git repo so you if you pull can see
> the diffs.  Below is the full text of my revised proposal.

> I've left my original proposal, and the original version of yours, in
> the git repo too, as it didn't seem right to just appropriate yours and
> make the changes off my own bat.

Per the last IRC meeting, here's an attempt to compact your version of my
draft down a bit and leave out as much of the stuff that isn't directly
on-point as I could.  I left all the other ones there so that one can see
all the varients (probably overkill, since Git would let you do that
anyway, but it seemed like a good idea at the time).

I think the upgrade point is the overriding one.  If it weren't for
upgrade behavior for users who have gnome-core + wicd or gnome-core plus
using ifupdown, there are various other possible alternatives, such as the
special metapackage handling, that might be okay.  But the upgrade
behavior currently is really suboptimal for people who have chosen to
replace network-manager.

Here's what I now have:

 Whereas:

 1. The gnome-core metapackage is intended to reflect the core of the
    GNOME desktop environment: the basic tools and subsystems that
    together constitute GNOME.  The gnome metapackage is intended to
    reflect the broader desktop environment, including extra components
    and applications.

 2. network-manager is the GNOME network control system, and is
    recommended for most GNOME users.  Some Debian GNOME users don't like
    some of network-manager's behavior and prefer to instead use other
    tools, either basic ifupdown or other frameworks such as wicd.

 3. In squeeze, the gnome metapackage lists network-manager in Recommends
    but not Depends.  In wheezy, currently, network-manager has moved from
    gnome to gnome-core, and from Recommends to Depends.  This represents
    a substantially increased insistance that users of the GNOME
    metapackages have network-manager installed; specifically, there is no
    longer any way to install any but the most minimal GNOME metapackage
    (gnome-session) without installing network-manager, and users who have
    gnome or gnome-core installed but have removed or never installed
    network-manager will have network-manager installed during an upgrade
    from squeeze.

 4. For most applications and components, the only drawback of this would
    be some additional disk space usage, since the application, despite
    being installed, wouldn't need to be used.  However, network-manager
    assumes that, if it is installed, it should attempt to manage the
    system's network configuration.  It attempts to avoid overriding local
    manual configuration, but it isn't able to detect all cases where the
    user is using some other component or system to manage networking.
    The user has to take separate, explicit (and somewhat unusual for the
    average user) action to disable network-manager after it has been
    installed.

 5. The Technical Committee believes that this will cause undesireable
    behavior for upgrades from squeeze, and (of somewhat lesser
    importance) will make it more difficult than necessary for GNOME users
    to swap network management components, something for which there
    appears to be noticable demand.  We therefore believe that
    network-manager should be moved to Recommends in gnome-core.

 6. Please note that this is not a general statement about GNOME
    components.  It is very specific to network-manager because all of the
    following apply:

    (i) The package takes action automatically because it is installed,
       rather than being a component that can either be run or not at the
       user's choice.

    (ii) The package has historically been recommended rather than listed
       as a dependency, so existing Debian users are used to that
       behavior and will expect it to be preserved during upgrades.

    (ii) There is both demonstrable, intentional widespread replacement of
       that package by Debian GNOME users and no significant loss of
       unrelated GNOME desktop functionality by replacing it with a
       different component.

    If any of these points did not apply, the situation would be
    significantly different.

 Therefore:

 7. The Technical Committee overrules the decision of the gnome-core
    metapackage maintainers.  The dependency from gnome-core to
    network-manager-gnome should be downgraded to Recommends.

 8. The Technical Committee requests that the Release Managers unblock
   the update to implement this decision, so that this change may be
   released in wheezy.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Thu, 06 Sep 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 06 Sep 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #180 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: network-manager, gnome, Recommends vs Depends
Date: Thu, 6 Sep 2012 16:01:23 +0100
Russ Allbery writes ("Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Here's what I now have:

I would be happy with this wording.  Does anyone else have any
comments ?

Thanks,
Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 15:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 15:12:08 GMT) Full text and rfc822 format available.

Message #185 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 16:10:10 +0100
Russ Allbery writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> Here's what I now have:

I asked for comments and no-one had any.  So I hereby call for votes
on the resolution below.

The options are:
  A. Recommends not Depends (overrule maintainers).  3:1 required.
  F. Further Discussion.

The full resolution text, unchanged from Russ's proposal, is below.

Ian.


 Whereas:

 1. The gnome-core metapackage is intended to reflect the core of the
    GNOME desktop environment: the basic tools and subsystems that
    together constitute GNOME.  The gnome metapackage is intended to
    reflect the broader desktop environment, including extra components
    and applications.

 2. network-manager is the GNOME network control system, and is
    recommended for most GNOME users.  Some Debian GNOME users don't like
    some of network-manager's behavior and prefer to instead use other
    tools, either basic ifupdown or other frameworks such as wicd.

 3. In squeeze, the gnome metapackage lists network-manager in Recommends
    but not Depends.  In wheezy, currently, network-manager has moved from
    gnome to gnome-core, and from Recommends to Depends.  This represents
    a substantially increased insistance that users of the GNOME
    metapackages have network-manager installed; specifically, there is no
    longer any way to install any but the most minimal GNOME metapackage
    (gnome-session) without installing network-manager, and users who have
    gnome or gnome-core installed but have removed or never installed
    network-manager will have network-manager installed during an upgrade
    from squeeze.

 4. For most applications and components, the only drawback of this would
    be some additional disk space usage, since the application, despite
    being installed, wouldn't need to be used.  However, network-manager
    assumes that, if it is installed, it should attempt to manage the
    system's network configuration.  It attempts to avoid overriding local
    manual configuration, but it isn't able to detect all cases where the
    user is using some other component or system to manage networking.
    The user has to take separate, explicit (and somewhat unusual for the
    average user) action to disable network-manager after it has been
    installed.

 5. The Technical Committee believes that this will cause undesireable
    behavior for upgrades from squeeze, and (of somewhat lesser
    importance) will make it more difficult than necessary for GNOME users
    to swap network management components, something for which there
    appears to be noticable demand.  We therefore believe that
    network-manager should be moved to Recommends in gnome-core.

 6. Please note that this is not a general statement about GNOME
    components.  It is very specific to network-manager because all of the
    following apply:

    (i) The package takes action automatically because it is installed,
       rather than being a component that can either be run or not at the
       user's choice.

    (ii) The package has historically been recommended rather than listed
       as a dependency, so existing Debian users are used to that
       behavior and will expect it to be preserved during upgrades.

    (ii) There is both demonstrable, intentional widespread replacement of
       that package by Debian GNOME users and no significant loss of
       unrelated GNOME desktop functionality by replacing it with a
       different component.

    If any of these points did not apply, the situation would be
    significantly different.

 Therefore:

 7. The Technical Committee overrules the decision of the gnome-core
    metapackage maintainers.  The dependency from gnome-core to
    network-manager-gnome should be downgraded to Recommends.

 8. The Technical Committee requests that the Release Managers unblock
   the update to implement this decision, so that this change may be
   released in wheezy.

-- 



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 15:15:06 GMT) Full text and rfc822 format available.

Message #190 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 16:13:02 +0100
Ian Jackson writes ("Bug#681834: Call for votes on network-manager, gnome"):
> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.

I vote: A F

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 17:09:06 GMT) Full text and rfc822 format available.

Message #195 received at 681834@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 10:06:53 -0700
On Tue, 11 Sep 2012, Ian Jackson wrote:
> Russ Allbery writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> > Here's what I now have:
> 
> I asked for comments and no-one had any.  So I hereby call for votes
> on the resolution below.
> 
> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.

I vote AF.


Don Armstrong

-- 
life's not a paragraph
And death i think is no parenthesis
 -- e.e. cummings "Four VII" _is 5_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 17:21:06 GMT) Full text and rfc822 format available.

Message #200 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 10:17:28 -0700
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I asked for comments and no-one had any.  So I hereby call for votes
> on the resolution below.

> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.

> The full resolution text, unchanged from Russ's proposal, is below.

I vote A F.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #205 received at 681834@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 13:52:47 -0400
I see two things missing from this resolution:
1. GNOME has a stronger dependency on NM than they did when Squeeze
was released. GNOME Shell now has a hard dependency on NM.

> The user has to take separate, explicit (and somewhat unusual for the
> average user) action to disable network-manager after it has been
> installed.

2. Yes, but it is also unusual for the average user to need to disable
NM. For the average user, the consequences of not having NM are quite
a bit worse than the benefits of being able to set up networking by
hand. It's definitely possible to disable NM and the procedure to do
this could easily be release-noted.

Just my 2 cents,
Jeremy Bicha



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 11 Sep 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 11 Sep 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #210 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Jeremy Bicha <jbicha@ubuntu.com>, 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 19:15:02 +0100
Jeremy Bicha writes ("Bug#681834: Call for votes on network-manager, gnome"):
> I see two things missing from this resolution:
>
> 1. GNOME has a stronger dependency on NM than they did when Squeeze
> was released. GNOME Shell now has a hard dependency on NM.

Do you mean
  http://packages.debian.org/wheezy/gnome-shell
?  Because that doesn't have any dependency on network-manager.

So on a Debian wheezy system it is possible to install gnome-shell
without network-manager.  (There is a dependency on
gir1.2-networkmanager-1.0 but that's just introspection data and
doesn't pull-in n-m itself, just some libraries.)

> > The user has to take separate, explicit (and somewhat unusual for the
> > average user) action to disable network-manager after it has been
> > installed.
> 
> 2. Yes, but it is also unusual for the average user to need to disable
> NM. For the average user, the consequences of not having NM are quite
> a bit worse than the benefits of being able to set up networking by
> hand. It's definitely possible to disable NM and the procedure to do
> this could easily be release-noted.

Nothing in our proposal makes anything more difficult for the average
user (by which I assume you mean someone who takes no special action).
The average user's system will honour the Recommends and install
network-manager.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 01:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 01:57:09 GMT) Full text and rfc822 format available.

Message #215 received at 681834@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Jeremy Bicha <jbicha@ubuntu.com>, 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 21:32:32 -0400
On Tuesday, September 11, 2012 13:52:47, Jeremy Bicha wrote:
> I see two things missing from this resolution:
> 1. GNOME has a stronger dependency on NM than they did when Squeeze
> was released. GNOME Shell now has a hard dependency on NM.
> 
> > The user has to take separate, explicit (and somewhat unusual for the
> > average user) action to disable network-manager after it has been
> > installed.
> 
> 2. Yes, but it is also unusual for the average user to need to disable
> NM. For the average user, the consequences of not having NM are quite
> a bit worse than the benefits of being able to set up networking by
> hand. It's definitely possible to disable NM and the procedure to do
> this could easily be release-noted.

Comments on your two cents:

- There are other network managers than NM.

- I experienced breakages on NM on upgrades on several occasions, whereby
  I switched to wicd.

- My experience has been that NM conflicts with wicd when NM is running.

- Furthermore my experience has been that disabling NM via modifying the
  init script (i.e. the "exit 0" suggestion which came up on [debian-devel],
  or making the init script non-executble) only works until NM is upgraded,
  whereby the init script is replaced and thus the NM daemon starts again --
  which on Sid happens fairly regularly.

- Wishlist bug #685742 [1] suggested a way to disable NM permanently via a
  /etc/default/<package> file (like wicd comes with) but was outright
  rejected, in favor of instead using "update-rc.d network-manager disable"
  -- the latter of which isn't mentioned anywhere in the documentation that
  comes with NM.

- For these and several other reasons I'm personally in favor of Recommends
  rather than Depends for the NM package, as the tech-ctte has outlined.

[1]  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685742

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #220 received at 681834@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: Chris.Knadle@coredump.us
Cc: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 21:59:49 -0400
On 11 September 2012 21:32, Chris Knadle <Chris.Knadle@coredump.us> wrote:
> - There are other network managers than NM.

Of course, but only one is part of GNOME. Nothing else integrates into
GNOME Shell's top bar or System Settings (gnome-control-center). GNOME
2 was different as wicd could integrate just as well as NetworkManager
did.

> - My experience has been that NM conflicts with wicd when NM is running.

You have two network managers running on your computer and you expect
networking to not have problems?

> - Furthermore my experience has been that disabling NM via modifying the
>   init script (i.e. the "exit 0" suggestion which came up on [debian-devel],
>   or making the init script non-executble) only works until NM is upgraded,
>   whereby the init script is replaced and thus the NM daemon starts again --
>   which on Sid happens fairly regularly.
>
> - Wishlist bug #685742 [1] suggested a way to disable NM permanently via a
>   /etc/default/<package> file (like wicd comes with) but was outright
>   rejected, in favor of instead using "update-rc.d network-manager disable"
>   -- the latter of which isn't mentioned anywhere in the documentation that
>   comes with NM.

'update-rc.d network-manager disable' follows the traditional way to
deactivate system services. Trying to hack the init script is a bad
idea and using /etc/default/ is unnecessary.

It looks like you're right that NetworkManager itself doesn't come
with documentation for disabling itself but maybe it should. 'man
update-rc.d' works too though.

Jeremy



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 02:09:03 GMT) Full text and rfc822 format available.

Message #225 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Chris.Knadle@coredump.us
Cc: 681834@bugs.debian.org, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 19:04:08 -0700
Chris Knadle <Chris.Knadle@coredump.us> writes:

> - Furthermore my experience has been that disabling NM via modifying the
>   init script (i.e. the "exit 0" suggestion which came up on [debian-devel],
>   or making the init script non-executble) only works until NM is upgraded,
>   whereby the init script is replaced and thus the NM daemon starts again --
>   which on Sid happens fairly regularly.

The correct way to disable network-manager, or any other init script in
Debian, is:

    update-rc.d <script-name> disable

This will be preserved on upgrades.

> - Wishlist bug #685742 [1] suggested a way to disable NM permanently via a
>   /etc/default/<package> file (like wicd comes with) but was outright
>   rejected, in favor of instead using "update-rc.d network-manager disable"
>   -- the latter of which isn't mentioned anywhere in the documentation that
>   comes with NM.

That's understandable since it has nothing specific to do with
network-manager; rather, it's a standard interface in Debian for any init
script.

Most of the /etc/default hacks to disable daemons predate the
standardization of the enable/disable interface in update-rc.d, or at
least its widespread publication.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 02:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 02:12:02 GMT) Full text and rfc822 format available.

Message #230 received at 681834@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Jeremy Bicha <jbicha@ubuntu.com>
Cc: 681834@bugs.debian.org, Chris.Knadle@coredump.us
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 19:08:06 -0700
Jeremy Bicha <jbicha@ubuntu.com> writes:
> On 11 September 2012 21:32, Chris Knadle <Chris.Knadle@coredump.us> wrote:

>> - My experience has been that NM conflicts with wicd when NM is running.

> You have two network managers running on your computer and you expect
> networking to not have problems?

The relevance of this for this particular bug is that it's part of why the
upgrade behavior is rather bad.  If someone running squeeze had
uninstalled network-manager and installed wicd (a perfectly reasonable
configuration that I suspect is more widespread than people might think;
there are at least two people participating in this very thread who did
that), upon upgrade to wheezy they will end up with both wicd and
network-manager installed and running at the same time.  The results are
unlikely to be pretty.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 03:00:03 GMT) Full text and rfc822 format available.

Message #235 received at 681834@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Jeremy Bicha <jbicha@ubuntu.com>, 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 22:56:17 -0400
On Tuesday, September 11, 2012 21:59:49, Jeremy Bicha wrote:
> On 11 September 2012 21:32, Chris Knadle <Chris.Knadle@coredump.us> wrote:
> > - There are other network managers than NM.
> 
> Of course, but only one is part of GNOME. Nothing else integrates into
> GNOME Shell's top bar or System Settings (gnome-control-center).

Hmm.  That itself sounds like a bug.

> GNOME 2 was different as wicd could integrate just as well as
> NetworkManager did.
> 
> > - My experience has been that NM conflicts with wicd when NM is running.
> 
> You have two network managers running on your computer and you expect
> networking to not have problems?

On a Wheezy VM I've been running (to do testing on the mumble package), 
originally wicd was installed by default, but on an upgrade task-xfce-desktop 
pulled in network-manager (via a Recommends on network-manager-gnome I 
believe), leading to both running.  Certainly not the desired behavior, but 
surprisingly it actually worked for standard "wired" networking via dhcp.

[…]
> It looks like you're right that NetworkManager itself doesn't come
> with documentation for disabling itself but maybe it should. 'man
> update-rc.d' works too though.

Yeah, as long as you know the command you need already; whether or not that's 
obvious is certainly debatable.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 03:09:03 GMT) Full text and rfc822 format available.

Message #240 received at 681834@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Russ Allbery <rra@debian.org>, 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Tue, 11 Sep 2012 23:06:05 -0400
On Tuesday, September 11, 2012 22:04:08, Russ Allbery wrote:
> Chris Knadle <Chris.Knadle@coredump.us> writes:
> > - Furthermore my experience has been that disabling NM via modifying the
> >   init script (i.e. the "exit 0" suggestion which came up on
> >   [debian-devel], or making the init script non-executble) only works
> >   until NM is upgraded, whereby the init script is replaced and thus the
> >   NM daemon starts again -- which on Sid happens fairly regularly.
> 
> The correct way to disable network-manager, or any other init script in
> Debian, is:
> 
>     update-rc.d <script-name> disable
> 
> This will be preserved on upgrades.

Yes, I caught that earlier in the thread (before replying).  My point in 
bringing this up is that I think the first instinct someone has is to disable 
the init script -- and this suggestion came up both in this thread as well as 
on [debian-devel], which only works temporarily.

> > - Wishlist bug #685742 [1] suggested a way to disable NM permanently via
> >   a /etc/default/<package> file (like wicd comes with) but was outright
> >   rejected, in favor of instead using "update-rc.d network-manager
> >   disable" -- the latter of which isn't mentioned anywhere in the
> >   documentation that comes with NM.
> 
> That's understandable since it has nothing specific to do with
> network-manager; rather, it's a standard interface in Debian for any init
> script.
> 
> Most of the /etc/default hacks to disable daemons predate the
> standardization of the enable/disable interface in update-rc.d, or at
> least its widespread publication.

Okay.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 12 Sep 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 12 Sep 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #245 received at 681834@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Wed, 12 Sep 2012 19:35:29 +0200
]] Chris Knadle 

> - Furthermore my experience has been that disabling NM via modifying the
>   init script (i.e. the "exit 0" suggestion which came up on [debian-devel],
>   or making the init script non-executble) only works until NM is upgraded,
>   whereby the init script is replaced and thus the NM daemon starts again --
>   which on Sid happens fairly regularly.

If that happens, that sounds like a serious bug, so please file it so it
can get fixed regardless of the outcome of the vote.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 14 Sep 2012 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 14 Sep 2012 13:21:03 GMT) Full text and rfc822 format available.

Message #250 received at 681834@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Fri, 14 Sep 2012 14:19:33 +0100
[Message part 1 (text/plain, inline)]
On Tue, Sep 11, 2012 at 04:10:10PM +0100, Ian Jackson wrote:
> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.

I vote AF.

(FWIW I am chiefly persuaded by the upgrade arguments; if not for that
then other solutions such as "remove the metapackage" or "use
update-rc.d" which involve no packaging changes might be acceptable to
me.)

-- 
Colin Watson                                       [cjwatson@debian.org]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 14 Sep 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 14 Sep 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #255 received at 681834@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Chris.Knadle@coredump.us, 681834@bugs.debian.org
Cc: Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Fri, 14 Sep 2012 21:42:05 +0200
On Tue, Sep 11, 2012 at 09:32:32PM -0400, Chris Knadle wrote:
> - I experienced breakages on NM on upgrades on several occasions, whereby
>   I switched to wicd.

But then sadly NM is the only network connection management tool for laptop
users in wheezy that handles IPv6 properly. Hence I turned away from wicd
on all my machines.

And I did not experience network breakage during upgrade bugs recently. I think
the LAN ports just stick around and I don't do upgrades over wi-fi.

Kind regards
Philipp Kern



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 14 Sep 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 14 Sep 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #260 received at 681834@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Fri, 14 Sep 2012 22:03:20 +0200
* Ian Jackson (ijackson@chiark.greenend.org.uk) [120911 15:10]:
> Russ Allbery writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> > Here's what I now have:
> 
> I asked for comments and no-one had any.  So I hereby call for votes
> on the resolution below.
> 
> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.
> 
> The full resolution text, unchanged from Russ's proposal, is below.

I vote AF.


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Sat, 15 Sep 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #263 received at 681834@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Philipp Kern <pkern@debian.org>, 681834@bugs.debian.org
Cc: Chris.Knadle@coredump.us, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Sat, 15 Sep 2012 12:03:01 +0300
[Message part 1 (text/plain, inline)]
On Vi, 14 sep 12, 21:42:05, Philipp Kern wrote:
> 
> And I did not experience network breakage during upgrade bugs recently. I think
> the LAN ports just stick around and I don't do upgrades over wi-fi.

I do, on unstable (mostly). The wireless connection is reset, which, 
depending on what else you're doing at the moment, can be very annoying, 
but the chances to break the upgrade itself are quite small, because it 
happens in the "dpkg" phase of the upgrade.

Kind regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Sat, 15 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 15 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #268 received at 681834@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 681834@bugs.debian.org, 681834@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Sat, 15 Sep 2012 07:11:30 -0600
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> Russ Allbery writes ("Re: Bug#681834: network-manager, gnome, Recommends vs Depends"):
> The options are:
>   A. Recommends not Depends (overrule maintainers).  3:1 required.
>   F. Further Discussion.

I vote AF.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sat, 15 Sep 2012 21:39:06 GMT) Full text and rfc822 format available.

Notification sent to Noel David Torres Taño <envite@rolamasao.org>:
Bug acknowledged by developer. (Sat, 15 Sep 2012 21:39:06 GMT) Full text and rfc822 format available.

Message #273 received at 681834-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 681834-done@bugs.debian.org
Subject: Re: Bug#681834: Call for votes on network-manager, gnome
Date: Sat, 15 Sep 2012 14:37:27 -0700
With Bdale's vote, the outcome is no longer in doubt [A=6, F=0.], the
decision of the technical committee is below.

Whereas:

1. The gnome-core metapackage is intended to reflect the core of the
   GNOME desktop environment: the basic tools and subsystems that
   together constitute GNOME.  The gnome metapackage is intended to
   reflect the broader desktop environment, including extra components
   and applications.

2. network-manager is the GNOME network control system, and is
   recommended for most GNOME users.  Some Debian GNOME users don't like
   some of network-manager's behavior and prefer to instead use other
   tools, either basic ifupdown or other frameworks such as wicd.

3. In squeeze, the gnome metapackage lists network-manager in Recommends
   but not Depends.  In wheezy, currently, network-manager has moved from
   gnome to gnome-core, and from Recommends to Depends.  This represents
   a substantially increased insistance that users of the GNOME
   metapackages have network-manager installed; specifically, there is no
   longer any way to install any but the most minimal GNOME metapackage
   (gnome-session) without installing network-manager, and users who have
   gnome or gnome-core installed but have removed or never installed
   network-manager will have network-manager installed during an upgrade
   from squeeze.

4. For most applications and components, the only drawback of this would
   be some additional disk space usage, since the application, despite
   being installed, wouldn't need to be used.  However, network-manager
   assumes that, if it is installed, it should attempt to manage the
   system's network configuration.  It attempts to avoid overriding local
   manual configuration, but it isn't able to detect all cases where the
   user is using some other component or system to manage networking.
   The user has to take separate, explicit (and somewhat unusual for the
   average user) action to disable network-manager after it has been
   installed.

5. The Technical Committee believes that this will cause undesireable
   behavior for upgrades from squeeze, and (of somewhat lesser
   importance) will make it more difficult than necessary for GNOME users
   to swap network management components, something for which there
   appears to be noticable demand.  We therefore believe that
   network-manager should be moved to Recommends in gnome-core.

6. Please note that this is not a general statement about GNOME
   components.  It is very specific to network-manager because all of the
   following apply:

   (i) The package takes action automatically because it is installed,
      rather than being a component that can either be run or not at the
      user's choice.

   (ii) The package has historically been recommended rather than listed
      as a dependency, so existing Debian users are used to that
      behavior and will expect it to be preserved during upgrades.

   (ii) There is both demonstrable, intentional widespread replacement of
      that package by Debian GNOME users and no significant loss of
      unrelated GNOME desktop functionality by replacing it with a
      different component.

   If any of these points did not apply, the situation would be
   significantly different.

Therefore:

7. The Technical Committee overrules the decision of the gnome-core
   metapackage maintainers.  The dependency from gnome-core to
   network-manager-gnome should be downgraded to Recommends.

8. The Technical Committee requests that the Release Managers unblock
  the update to implement this decision, so that this change may be
  released in wheezy.


Don Armstrong

-- 
J.W. Grant: "Bastard!"
Rico: "Yes, Sir. In my case, an accident of birth. But you, Sir,
you're a self-made man."
 -- Henry "Rico" Fardan in "The Professionals"

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Oct 2012 07:26:13 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 10:33:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, debian-ctte@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 15 Oct 2013 11:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to abe@debian.org, debian-ctte@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Oct 2013 11:15:14 GMT) Full text and rfc822 format available.

Message #282 received at 681834@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: submit@bugs.debian.org
Cc: 622392@bugs.debian.org, 681834@bugs.debian.org
Subject: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Tue, 15 Oct 2013 13:14:25 +0200
Package: gnome-control-center
Version: 1:3.8.0-2
Severity: serious
Justification: violates tech-ctte decision

Hi,

Laurent Bigonville closed #622392 as follows[1];
> gnome-control-center is now depending against network-manager >=
> 0.9.8

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622392#14

Please downgrade this hard dependency to a Recommends as it has been
done in gnome-core.

Otherwise this "solution" violates the decision of the Technical
Committee as stated[2] in #681834 because gnome-core in unstable
depends[3] on gnome-control-center and since today
gnome-control-center in unstable depends[4] on network-manager-gnome.

[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681834#273
[3] http://packages.debian.org/sid/gnome-core
[4] http://packages.debian.org/experimental/gnome-control-center and
    soon http://packages.debian.org/sid/gnome-control-center, too, see
    http://packages.qa.debian.org/g/gnome-control-center/news/20131013T164840Z.html

This makes the packages gnome-control-center and hence gnome-core and
gnome uninstallable on non-linux architectures again.

Cc'ing the according Tech-Ctte bug report.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 15 Oct 2013 11:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Oct 2013 11:21:08 GMT) Full text and rfc822 format available.

Message #287 received at 681834@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 622392@bugs.debian.org, 681834@bugs.debian.org
Subject: Re: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Tue, 15 Oct 2013 13:20:11 +0200
Hi again,

Axel Beckert wrote:
> Subject: gnome-control-center: Please downgrade dependency
>  on network-manager-gnome to Recommends (violates tech-ctte decision
>  otherwise)
> Package: gnome-control-center
> Version: 1:3.8.0-2
> Severity: serious
> Justification: violates tech-ctte decision

This became http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726395 --
As far as I remember, X-Debbugs-Cc to other bug reports doesn't work,
so doing the cross-reference manually this way.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 15 Oct 2013 14:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Oct 2013 14:57:08 GMT) Full text and rfc822 format available.

Message #292 received at 681834@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 726395@bugs.debian.org
Cc: 622392@bugs.debian.org, 681834@bugs.debian.org
Subject: Re: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Tue, 15 Oct 2013 15:52:14 +0100
Axel Beckert writes ("Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)"):
> Package: gnome-control-center
> Version: 1:3.8.0-2
> Severity: serious
...
> Otherwise this "solution" violates the decision of the Technical
> Committee as stated[2] in #681834 because gnome-core in unstable
> depends[3] on gnome-control-center and since today
> gnome-control-center in unstable depends[4] on network-manager-gnome.

I agree with Axel here.

Normally for a TC decision which the maintainer has failed to
implement, an NMU would be an appropriate response.

However, in this case it appears that further clarification is needed.
Simply playing core wars in the archive would not be appropriate.

I think we should issue a new TC resolution which is 100% watertight
and unambigous, prohibiting changes like this one and any others with
similar effect.

Does anyone on the TC disagree ?

If not then I will draft something along these lines.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 15 Oct 2013 23:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Oct 2013 23:12:08 GMT) Full text and rfc822 format available.

Message #297 received at 681834@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 681834@bugs.debian.org
Cc: 726395@bugs.debian.org, 622392@bugs.debian.org, Sjoerd Simons <sjoerd@debian.org>
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Tue, 15 Oct 2013 16:09:33 -0700
On Tue, 15 Oct 2013, Ian Jackson wrote:
> Does anyone on the TC disagree ?

I think we should first hear from Sjoerd; it's likely that Sjoerd was
unaware that this change conflicted with the CTTE's decision.[1]

http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-control-center/debian/control.in?r1=37425&r2=37515

looks to be the change, and the changelog indicates that it was done to
enable the network control panel. Assuming the rest of the gnome control
center will work without NM, and only the network control panel would
fail, then this Depends: isn't strictly necessary, though it may be the
case that a Recommends: is warranted.

1: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681834#273
-- 
Don Armstrong                      http://www.donarmstrong.com

Sometimes I wish I could take back all my mistakes
but then I think
what if my mother could take back hers?
 -- a softer world #498
    http://www.asofterworld.com/index.php?id=498



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Tue, 15 Oct 2013 23:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sjoerd Simons <sjoerd@luon.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 15 Oct 2013 23:45:08 GMT) Full text and rfc822 format available.

Message #302 received at 681834@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@luon.net>
To: Don Armstrong <don@debian.org>
Cc: 681834@bugs.debian.org, 726395@bugs.debian.org, 622392@bugs.debian.org, Sjoerd Simons <sjoerd@debian.org>
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Wed, 16 Oct 2013 00:33:58 +0100
On Tue, 2013-10-15 at 16:09 -0700, Don Armstrong wrote:
> On Tue, 15 Oct 2013, Ian Jackson wrote:
> > Does anyone on the TC disagree ?
> 
> I think we should first hear from Sjoerd; it's likely that Sjoerd was
> unaware that this change conflicted with the CTTE's decision.[1]

Likely, although i don't agree with the CTTE decision I definitely
wasn't trying to undermine it :).

> http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-control-center/debian/control.in?r1=37425&r2=37515
> 
> looks to be the change, and the changelog indicates that it was done to
> enable the network control panel. Assuming the rest of the gnome control
> center will work without NM, and only the network control panel would
> fail, then this Depends: isn't strictly necessary, though it may be the
> case that a Recommends: is warranted.

This needs to be tested, my gut feeling would be that we really want a
Recommends to prevent weird & unexpected failure modes in the control
center, but the Depends can probably downgraded to comply with the CTTE
decision.

-- 
Sjoerd Simons <sjoerd@luon.net>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 16 Oct 2013 00:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 16 Oct 2013 00:03:12 GMT) Full text and rfc822 format available.

Message #307 received at 681834@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Sjoerd Simons <sjoerd@luon.net>, 681834@bugs.debian.org
Cc: 726395@bugs.debian.org, 622392@bugs.debian.org, Axel Beckert <abe@debian.org>
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Tue, 15 Oct 2013 16:59:56 -0700
On Wed, 16 Oct 2013, Sjoerd Simons wrote:
> On Tue, 2013-10-15 at 16:09 -0700, Don Armstrong wrote:
> > http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-control-center/debian/control.in?r1=37425&r2=37515
> > 
> > Assuming the rest of the gnome control center will work without NM,
> > and only the network control panel would fail, then this Depends:
> > isn't strictly necessary, though it may be the case that a
> > Recommends: is warranted.
> 
> This needs to be tested, my gut feeling would be that we really want a
> Recommends to prevent weird & unexpected failure modes in the control
> center, but the Depends can probably downgraded to comply with the
> CTTE decision.

OK. Would a Breaks be enough to make sure the correct version of NM is
installed? [Alex: can you test to make sure that the failure mode of the
gnome control center is reasonable without NM installed?]

-- 
Don Armstrong                      http://www.donarmstrong.com

A kiss was mysterious and powerful, fragile and invincible. Like any
spark, a kiss might fizzle into nothing or consume an entire forest.
[...] A kiss could change the entire world.
  -- Scott Westerfeld _The Killing of Worlds_ p336



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Wed, 16 Oct 2013 00:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 16 Oct 2013 00:42:19 GMT) Full text and rfc822 format available.

Message #312 received at 681834@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Don Armstrong <don@debian.org>
Cc: 681834@bugs.debian.org, 726395@bugs.debian.org, 622392@bugs.debian.org
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Wed, 16 Oct 2013 02:40:50 +0200
Hi,

Don Armstrong wrote:
> [Alex:

I suspect you meant "Axel".

> can you test to make sure that the failure mode of the gnome control
> center is reasonable without NM installed?]

Will do. Currently building (wenn, installing build-dependencies) an
accordingly patched g-c-c on kfreebsd-i386 where I noticed that it
became uninstallable.

Will let you know.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Fri, 18 Oct 2013 23:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 18 Oct 2013 23:36:12 GMT) Full text and rfc822 format available.

Message #317 received at 681834@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Don Armstrong <don@debian.org>
Cc: Sjoerd Simons <sjoerd@luon.net>, 681834@bugs.debian.org, 726395@bugs.debian.org, 622392@bugs.debian.org
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Sat, 19 Oct 2013 02:24:12 +0200
Hi,

Don Armstrong wrote:
> [Alex: can you test to make sure that the failure mode of the
> gnome control center is reasonable without NM installed?]

1:3.8.3-3 with network-manager-gnome downgraded to Recommends works
fine for me on kfreebsd-i386. Nothing unexpected so far. (Except that
it didn't build fine twice in a row.) But then again of course there's
no network-manager-dev build-dependency on that architecture.

So I tried on i386, too: Works perfectly fine, too. If I click on
Network, I get a pop up saying "The system network services are not
compatible with this version" which is correct as I'm using wicd.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681834; Package tech-ctte. (Mon, 21 Oct 2013 17:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 21 Oct 2013 17:24:07 GMT) Full text and rfc822 format available.

Message #322 received at 681834@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Axel Beckert <abe@debian.org>, 681834@bugs.debian.org
Cc: Sjoerd Simons <sjoerd@luon.net>, 726395@bugs.debian.org, 622392@bugs.debian.org
Subject: Re: Bug#681834: Bug#726395: gnome-control-center: Please downgrade dependency on network-manager-gnome to Recommends (violates tech-ctte decision otherwise)
Date: Mon, 21 Oct 2013 10:23:09 -0700
On Sat, 19 Oct 2013, Axel Beckert wrote:
> Don Armstrong wrote:
> > [Axel: can you test to make sure that the failure mode of the
> > gnome control center is reasonable without NM installed?]
> 
> 1:3.8.3-3 with network-manager-gnome downgraded to Recommends works
> fine for me on kfreebsd-i386. Nothing unexpected so far. (Except that
> it didn't build fine twice in a row.) But then again of course there's
> no network-manager-dev build-dependency on that architecture.
> 
> So I tried on i386, too: Works perfectly fine, too. If I click on
> Network, I get a pop up saying "The system network services are not
> compatible with this version" which is correct as I'm using wicd.

This failure mode seems reasonable to me; I suspect a patch to the
strings suggesting that people install network-manager-gnome in that pop
up message would also be useful, but that's getting into bike-shedding
territory. [And I fully understand if the gnome maintainers are not
interested in making such a patch.]

So I believe a Breaks: coupled with an optional Recommends:
network-manager-gnome would be sufficient here.

Sjoerd: does that seem reasonable?

-- 
Don Armstrong                      http://www.donarmstrong.com

For a moment, nothing happened. Then, after a second or so, nothing
continued to happen.
 -- Douglas Adams



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Nov 2013 07:26:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:10:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.